Devuan bug report logs - #821
Not able to compile modules anymore

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: sed, initramfs-tools-core, firmware-realtek, kmod, netcat-traditional, linux-headers-6.6.8-amd64

Reported by: Klaus Ethgen <Klaus@ethgen.de>

Date: Wed, 27 Dec 2023 10:54:02 UTC

Severity: grave

Merged with 812, 813, 823, 826, 827, 828

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#821; Package linux-headers-6.6.8-amd64. (Wed, 27 Dec 2023 10:54:02 GMT) (full text, mbox, link).


Acknowledgement sent to Klaus Ethgen <Klaus@ethgen.de>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Wed, 27 Dec 2023 10:54:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: Klaus Ethgen <Klaus@ethgen.de>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: Not able to compile modules anymore
Date: Wed, 27 Dec 2023 11:52:03 +0100
[Message part 1 (text/plain, inline)]
Package: linux-headers-6.6.8-amd64
Version: 6.6.8-1
Severity: grave

This package do not allow to compile kernel modules anymore. So dkms is
failing too.

The reason is that the symlinks for kernel headers are installed into
/usr/lib/modules instead of /lib/modules. No linux kernel is able to
find the headers in /usr/lib!

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 6 (excalibur/ceres)
Release:	6
Codename:	excalibur ceres
Architecture: x86_64

Kernel: Linux 6.1.38 (SMP w/8 CPU threads)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_CPU_OUT_OF_SPEC, TAINT_FIRMWARE_WORKAROUND, TAINT_OOT_MODULE
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages linux-headers-6.6.8-amd64 depends on:
ii  gcc-13                                                      13.2.0-9
pn  linux-headers-6.6.8-common                                  <none>
pn  linux-image-6.6.8-amd64 | linux-image-6.6.8-amd64-unsigned  <none>
pn  linux-kbuild-6.6.8                                          <none>

linux-headers-6.6.8-amd64 recommends no packages.

linux-headers-6.6.8-amd64 suggests no packages.

Gru?
   Klaus
-- 
Klaus Ethgen                                       http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16            Klaus Ethgen <Klaus@Ethgen.ch>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
[signature.asc (application/pgp-signature, inline)]

bug reassigned from package 'linux-headers-6.6.8-amd64' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:01 GMT) (full text, mbox, link).


No longer marked as found in versions 6.6.8-1. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Added indication that 821 affects netcat-traditional,firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Merged 812 813 821 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Added indication that 821 affects linux-headers-6.6.8-amd64 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:50:02 GMT) (full text, mbox, link).


Removed indication that 821 affects linux-headers-6.6.8-amd64, firmware-realtek, and netcat-traditional Added indication that 821 affects linux-headers-6.6.8-amd64,netcat-traditional,firmware-realtek Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Added indication that 821 affects sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:52:02 GMT) (full text, mbox, link).


Removed indication that 821 affects linux-headers-6.6.8-amd64, netcat-traditional, firmware-realtek, and sed Added indication that 821 affects netcat-traditional,linux-headers-6.6.8-amd64,firmware-realtek,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Merged 812 813 821 823 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:01 GMT) (full text, mbox, link).


Added indication that 821 affects initramfs-tools-core Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Removed indication that 821 affects firmware-realtek, sed, initramfs-tools-core, netcat-traditional, and linux-headers-6.6.8-amd64 Added indication that 821 affects firmware-realtek,initramfs-tools-core,netcat-traditional,linux-headers-6.6.8-amd64,sed Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Added indication that 821 affects kmod Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:54:03 GMT) (full text, mbox, link).


Removed indication that 821 affects firmware-realtek, linux-headers-6.6.8-amd64, initramfs-tools-core, kmod, sed, and netcat-traditional Added indication that 821 affects firmware-realtek,linux-headers-6.6.8-amd64,kmod,sed,initramfs-tools-core,netcat-traditional Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Merged 812 813 821 823 826 827 828 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Wed, 20 Mar 2024 11:56:02 GMT) (full text, mbox, link).


Message #38 received at 812-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 812-done@bugs.devuan.org
Subject: Re: bug#812: Devuan project: merged-usr
Date: Wed, 20 Mar 2024 12:06:27 +0000
Merged /usr is now enforced by base-files 13devuan4 and handled by debootstrap
1.0.134devuan2. Both of these versions are present in ceres and excalibur:

 base-files  | 13devuan4      | excalibur  | source, all
 base-files  | 13devuan4      | unstable   | source, all
 debootstrap | 1.0.134devuan2 | excalibur  | source, all
 debootstrap | 1.0.134devuan2 | unstable   | source, all

Golinux also posted an announcement[1] on the forum.

Therefore I am closing these reports as fixed.

Mark

[1]  https://dev1galaxy.org/viewtopic.php?id=6435      



Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:23:23 2024;